RWALL(1C)

NAME
rwall - write to all users over a network

SYNOPSIS
rwall hostname ...
rwall -n netgroup ...
rwall -h host -n netgroup

DESCRIPTION
Rwall reads a message from standard input until end-of-file. It then sends this message, preceded by the line ``Broadcast Message ...'', to all users logged in on the specified host machines. With the -n option, it sends to the specified network groups, which are defined in netgroup(5).

A machine can only receive such a message if it is running rwalld(8), which is normally started up by the daemon inetd(8).

FILES
/etc/inetd.conf

SEE ALSO
wall(1), rwall(3R), netgroup(5), rwalld(8C), shutdown(8)

BUGS
The timeout is fairly short in order to be able to send to a large group of machines (some of which may be down) in a reasonable amount of time. Thus the message may not get thru to a heavily loaded machine.